"use strict";

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/

/* eslint-env node */

/* eslint-disable flowtype/require-valid-file-annotation */

/* global after */
var scenarios = require('./examples-list');

var _require = require('../../e2e/helpers'),
    goToUrl = _require.goToUrl;

var suite = 'Menu Test Suite';
var selectors = {
  menu: '[role="main"]',
  firstItem: '[role="main"] li:first-child'
};
describe('The menu component', function () {
  after(function (browser, done) {
    browser.end(function () {
      return done();
    });
  });
  xit('passes basic a11y tests', function (browser) {
    goToUrl({
      suite: suite,
      test: scenarios.MENU,
      browser: browser
    }).initAccessibility().waitForElementVisible(selectors.menu).assert.accessibility('html', {});
  });
});